Subject: Re: [Catalina22] Pushpit blind fasteners

From: [email-masked]
Date: Mon, 7 Mar 2005 18:50:34 EST

Chip:
 
Yea, those are the same blind fasteners used for power boat seat  bases.
 
You wouldn't by chance have some sort of instructions for those would  you?
 
I personally would replace the slotted screws with hex head bolts as I  think 
those are 1/4 inch screws.
 
An alternative is to use toggle bolts which are fundamentally the same  thing 
except that the toggle is attached to the end of the screw.  However,  these 
have no heads.  An nut is attached to the top and the excess on top  is cut 
off. 
 
You can find these in the current 2005 West Marine catalog under fasteners,  
page 596 or thereabouts.
 
Bayard Gross
C-22 #9911
Baby Blue
Greenwich, CT